Package sympy

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See sympy in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-sympy-1.1.1-4.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-sympy-1.1.1-4.fc29
    • /usr/bin/python3
    • python(abi) = 3.6
  • sympy-texmacs-1.1.1-4.fc29
    • /usr/bin/python3
Links

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Project Size

~484K total lines of code
~466K (96%) Python
(approximation as of 1.1-2.fc25)

Dependencies

Run time

1 Python 3 only; 4 Dual support; 2 Idle; 1 Dropped
Package Upstream Fedora
  python-matplotlib (nonblocking)   I
  TeXmacs   I
  python-fastcache  
  python-gmpy2  
  python-mpmath  
  python-pyglet  
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 8 Dual support; 1 Idle; 1 Dropped
Package Upstream Fedora
  python-matplotlib (nonblocking)   I
  numpy  
  python-docutils   bug (CLOSED RAWHIDE)
  python-fastcache  
  python-gmpy2  
  python-mpmath  
  python-sphinx  
  python-theano   bug (CLOSED ERRATA)
  scipy  
  python3   bug (NEW)
  python2   X